Subject: bug#32777: 27.0.50; window-buffer gets wrong point

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Dec 2018 18:02:50 +0200

> Date: Fri, 21 Dec 2018 10:15:28 +0100
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, 
>  Federico Tedin <[email-masked]>,
>  [email-masked]
> 
> I would like to hear Eli's opinion first.  Eli can you please have a
> look at
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32777#26
> 
> and tell us whether my analysis there is correct?  If so, do you have
> any ideas how to proceed?

I think your analysis is correct.

As for how to proceed: I would love for us to have a way of selecting
a window temporarily, in way that doesn't involve saving/restoring its
window-point.  But maybe this is a pipe dream, so I think we should
try your alternative #2 on master and see what it breaks.

Thanks.